Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 137640 - External SU disappears after setting/changing compapp project's server target
External SU disappears after setting/changing compapp project's server target
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: Composite Application
6.x
All All
: P1 (vote)
: TBD
Assigned To: Jun Qian
issues@soa
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-18 22:32 UTC by Jun Qian
Modified: 2008-09-04 13:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jun Qian 2008-06-18 22:32:40 UTC
External SU disappears after setting/changing compapp project's server target.

Steps to reproduce:
0. Register two instances of GF in NetBeans
1. Create a CompositeApp Project
2. Open CASA Editor
3. DnD an External Service Unit from Palette 
4. Save the changes
5. From the compapp project's customizer, make some change to the server target (in the Run->Running Project panel)

=> The external service unit in the CASA Editor disappears.
Comment 1 Jun Qian 2008-06-19 00:06:00 UTC
Fixed in trunk. Changeset: b8927031f922
Comment 2 Jun Qian 2008-06-19 00:26:38 UTC
Also fixed in soa-dev branch. Changeset: 6bf3f7398851 
Comment 3 Jun Qian 2008-06-19 00:35:26 UTC
Jen, I think this is a good candidate for NB 6.1 patch 3. 

FYI, this simplified test case came from a real-world problem reported by the WLM team:

"I have dragged and dropped an External Port to CASA project and saved the project, I then added the project to wiki.
When I downloaded the project, I clean built the project, I still see the link to the external port, but as soon as I
deployed the project, the link is missing from the casa editor."

Comment 4 rbalada 2008-07-17 11:52:55 UTC
Hello,

can someone verify this bugfix works in recent trunk builds. Patch candidates must be verified before they get into
Patch release.

Thanks,
-R
Comment 5 jlautz 2008-08-01 22:11:49 UTC
Verified with sierra_2682_20080801_1723_dev.zip (sierra build 2682).

The External Service Unit in a composite app doesn't disappear from the CASA editor when the server target changes (or
when the compapp is deployed).

There are other problems that currently don't allow me to test this bug fix in NB 6.5 trunk.
Comment 6 rbalada 2008-08-04 15:53:51 UTC
Please note that NetBeans 6.1 Patch3 cut-off is going to happen on close of
business August 5th. If you would like to have bugfix for this issue as part of
NetBeans 6.1 Patch3, then this issue must have information about bugfix' trunk
changeset and it's status must be "VERIFIED".
Comment 7 jlautz 2008-08-04 17:12:22 UTC
Verified with 6.5 trunk build netbeans-trunk-nightly-200808021401-solaris-x86.sh.
Comment 8 rbalada 2008-08-04 17:40:58 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/b8927031f922 into release61-fixes repository as
http://hg.netbeans.org/release61_fixes/rev/bffd44d6451a 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo